import At from "axios";
import { message as ce } from "ant-design-vue";
import { shallowRef as Pt, inject as q, unref as Q, shallowReactive as Dt, nextTick as It, defineComponent as rt, reactive as kt, computed as L, h as ot, provide as ve, ref as Ct, watch as st, getCurrentInstance as at, watchEffect as Ut } from "vue";
import { saveAs as Ve } from "file-saver";
const _e = {
  LOGIN: "oauth/token",
  REGISTER: "user/register",
  RESET: "user/reset",
  LOGOUT: "oauth/logout"
}, ye = {
  IMAGE_CODE: "sms/getImgCode",
  SMS_REGISTER: "sms/register",
  SMS_RESET: "sms/reset"
}, $r = {
  DELETE: (e) => `attachment/${e}`,
  STS_URL: "sts/getTempToken"
}, Or = {
  RESOURCE_LIST: "resource",
  RULE_LIST: (e) => `resource/${e}/rule`,
  ADD_RULE: (e) => `resource/${e}/rule`,
  MODIFY_RULE: (e) => `resource/${e}/rule`,
  DELETE_RULE: (e) => `resource/rule/${e}`
}, Tr = {
  TREE_LIST: "menu/tree",
  ADD_MENU: "menu",
  UPDATE_MENU: (e) => `menu/${e}`,
  DELETE_MENU: (e) => `menu/${e}`
}, Nr = {
  LIST: "user",
  ADD_USER: "user",
  MODIFY_USER: (e) => `user/${e}`,
  SUSPEND_USER: (e) => `user/${e}/disable`,
  RESUME_USER: (e) => `user/${e}/enable`,
  DELETE_USER: (e) => `user/${e}`,
  // md5格式
  RESET_PASSWORD: "user/admin/resetPasswordMd5",
  // 普通格式
  // RESET_PASSWORD: "user/admin/resetPassword",
  OPERATIONS_URL: "login/search"
  // 用户运维列表
}, Ar = {
  LIST: "role",
  ADD: "role",
  MODIFY: (e) => `role/${e}`,
  DELETE: (e) => `role/${e}`,
  USER_LIST: (e) => `role/${e}/user`,
  BIND_USER: (e) => `role/${e}/user/bind`,
  UNBIND_USER: (e) => `role/${e}/user/unbind`,
  RESOURCES_LIST: (e) => `role/${e}/resource`,
  AUTHORIZE_RESOURCE: (e) => `role/${e}/resource/bind`,
  REVOKE_RESOURCE: (e) => `role/${e}/resource/unbind`,
  MENU_TREE_LIST: "menu/self/tree",
  MENU_TREE_ROLE_LIST: (e) => `/menu/${e}/tree`,
  MENU_LIST: (e) => `role/${e}/menu`,
  AUTHORIZE_MENU: (e) => `role/${e}/menu/bind`,
  REVOKE_MENU: (e) => `role/${e}/menu/unbind`,
  RESOURCE_RULE_LIST: (e, t) => `role/${e}/resource/${t}/rules`,
  AUTHORIZE_RESOURCE_RULE: (e) => `role/${e}/resource/rule/bind`,
  REVOKE_RESOURCE_RULE: (e) => `role/${e}/resource/rule/unbind`,
  AUTHORIZE_MENU_RULE: (e) => `role/${e}/menu/rule/bind`,
  REVOKE_MENU_RULE: (e) => `role/${e}/menu/rule/unbind`,
  MENU_RULE_LIST: (e, t) => `role/${e}/menu/${t}/rules`,
  BIND_FORM: (e) => `role/${e}/table/bind`,
  UNBIND_FORM: (e) => `role/${e}/table/unbind`,
  ROLE_FORM_LIST: (e) => `role/${e}/table`,
  FORM_ROLE_LIST: (e) => `resource/table/${e}/role`,
  DATA_RULE_LIST: (e) => `role/${e}/rule`,
  BIND_DATA_RULE: (e) => `role/${e}/rule/bind`,
  UNBIND_DATA_RULE: (e) => `role/${e}/rule/unbind`,
  AUTH: (e) => `role/${e}/table/bind`,
  AUTH_REVOKE: (e) => `role/${e}/table/unbind`,
  AUTH_SEARCH: (e) => `resource/table/${e}/role`,
  AUTH_RESOURCE: (e) => `/role/${e}/resource`
}, Pr = {
  QUERY: (e) => `formDesign/${e}`,
  DEPLOY: "formDesign",
  UPDATE: (e) => `formDesign/${e}`,
  SEARCH: "formDesign",
  DELETE: (e) => `formDesign/${e}?cascade=true`,
  FORM_IMPORT: "/table/import",
  FORM_EXPORT: "/table/export",
  RESOURCE_LIST: (e) => `/resource/table/${e}/role`,
  RESOURCE_BIND: (e) => `/resource/table/${e}/role/bind`,
  RESOURCE_UNBIND: (e) => `/resource/table/${e}/role/unbind`
}, C = {
  ADD: (e) => `form/${e}`,
  SEARCH: (e) => `form/${e}/search`,
  JOIN_SEARCH: (e) => `form/${e}/joinSearch`,
  BATCH: (e) => `form/${e}/batch`,
  SEARCH_BY_ID: (e, t, n, r) => `form/${e}/${t}?resolveDic=${n}&resolveSubItems=${r}`,
  DELETE_BY_ID: (e, t) => `form/${e}/${t}`,
  SEARCH_STATE: (e, t, n) => `custom/form/${e}/${t}/log?field=${n}`,
  UPDATE_STATE: (e, t) => `custom/form/${e}/${t}/state`,
  BATCH_STATE: (e) => `custom/form/${e}/state/batchUpdate`,
  BATCH_STATE_FILTER: (e) => `custom/form/${e}/state/batchUpdateByFilter`,
  UPDATE: (e) => `form/${e}`,
  IMPORT: (e) => `form/${e}/import`,
  COUNT: (e) => `/form/${e}/aggregation`
}, Dr = {
  LIST: "dataRule",
  GET: (e) => `dataRule/${e}`,
  ADD: "dataRule",
  UPDATE: (e) => `dataRule/${e}`,
  DELETE: (e) => `dataRule/${e}`
}, Lt = "mis-management", xt = "mis-management", Vt = btoa(`${Lt}:${xt}`);
function Mt() {
  return it().__VUE_DEVTOOLS_GLOBAL_HOOK__;
}
function it() {
  return typeof navigator < "u" && typeof window < "u" ? window : typeof globalThis < "u" ? globalThis : {};
}
const Bt = typeof Proxy == "function", Ht = "devtools-plugin:setup", jt = "plugin:settings:set";
let z, we;
function Ft() {
  var e;
  return z !== void 0 || (typeof window < "u" && window.performance ? (z = !0, we = window.performance) : typeof globalThis < "u" && (!((e = globalThis.perf_hooks) === null || e === void 0) && e.performance) ? (z = !0, we = globalThis.perf_hooks.performance) : z = !1), z;
}
function Gt() {
  return Ft() ? we.now() : Date.now();
}
class Kt {
  constructor(t, n) {
    this.target = null, this.targetQueue = [], this.onQueue = [], this.plugin = t, this.hook = n;
    const r = {};
    if (t.settings)
      for (const u in t.settings) {
        const d = t.settings[u];
        r[u] = d.defaultValue;
      }
    const s = `__vue-devtools-plugin-settings__${t.id}`;
    let f = Object.assign({}, r);
    try {
      const u = localStorage.getItem(s), d = JSON.parse(u);
      Object.assign(f, d);
    } catch {
    }
    this.fallbacks = {
      getSettings() {
        return f;
      },
      setSettings(u) {
        try {
          localStorage.setItem(s, JSON.stringify(u));
        } catch {
        }
        f = u;
      },
      now() {
        return Gt();
      }
    }, n && n.on(jt, (u, d) => {
      u === this.plugin.id && this.fallbacks.setSettings(d);
    }), this.proxiedOn = new Proxy({}, {
      get: (u, d) => this.target ? this.target.on[d] : (...l) => {
        this.onQueue.push({
          method: d,
          args: l
        });
      }
    }), this.proxiedTarget = new Proxy({}, {
      get: (u, d) => this.target ? this.target[d] : d === "on" ? this.proxiedOn : Object.keys(this.fallbacks).includes(d) ? (...l) => (this.targetQueue.push({
        method: d,
        args: l,
        resolve: () => {
        }
      }), this.fallbacks[d](...l)) : (...l) => new Promise((h) => {
        this.targetQueue.push({
          method: d,
          args: l,
          resolve: h
        });
      })
    });
  }
  async setRealTarget(t) {
    this.target = t;
    for (const n of this.onQueue)
      this.target.on[n.method](...n.args);
    for (const n of this.targetQueue)
      n.resolve(await this.target[n.method](...n.args));
  }
}
function qt(e, t) {
  const n = e, r = it(), s = Mt(), f = Bt && n.enableEarlyProxy;
  if (s && (r.__VUE_DEVTOOLS_PLUGIN_API_AVAILABLE__ || !f))
    s.emit(Ht, e, t);
  else {
    const u = f ? new Kt(n, s) : null;
    (r.__VUE_DEVTOOLS_PLUGINS__ = r.__VUE_DEVTOOLS_PLUGINS__ || []).push({
      pluginDescriptor: n,
      setupFn: t,
      proxy: u
    }), u && t(u.proxiedTarget);
  }
}
/*!
  * vue-router v4.3.2
  * (c) 2024 Eduardo San Martin Morote
  * @license MIT
  */
const M = typeof document < "u";
function Wt(e) {
  return e.__esModule || e[Symbol.toStringTag] === "Module";
}
const $ = Object.assign;
function Re(e, t) {
  const n = {};
  for (const r in t) {
    const s = t[r];
    n[r] = U(s) ? s.map(e) : e(s);
  }
  return n;
}
const ne = () => {
}, U = Array.isArray;
function S(e) {
  const t = Array.from(arguments).slice(1);
  console.warn.apply(console, ["[Vue Router warn]: " + e].concat(t));
}
const ct = /#/g, zt = /&/g, Qt = /\//g, Yt = /=/g, Jt = /\?/g, lt = /\+/g, Xt = /%5B/g, Zt = /%5D/g, ut = /%5E/g, en = /%60/g, ft = /%7B/g, tn = /%7C/g, dt = /%7D/g, nn = /%20/g;
function De(e) {
  return encodeURI("" + e).replace(tn, "|").replace(Xt, "[").replace(Zt, "]");
}
function rn(e) {
  return De(e).replace(ft, "{").replace(dt, "}").replace(ut, "^");
}
function $e(e) {
  return De(e).replace(lt, "%2B").replace(nn, "+").replace(ct, "%23").replace(zt, "%26").replace(en, "`").replace(ft, "{").replace(dt, "}").replace(ut, "^");
}
function on(e) {
  return $e(e).replace(Yt, "%3D");
}
function sn(e) {
  return De(e).replace(ct, "%23").replace(Jt, "%3F");
}
function an(e) {
  return e == null ? "" : sn(e).replace(Qt, "%2F");
}
function Y(e) {
  try {
    return decodeURIComponent("" + e);
  } catch {
    process.env.NODE_ENV !== "production" && S(`Error decoding "${e}". Using original value`);
  }
  return "" + e;
}
const cn = /\/$/, ln = (e) => e.replace(cn, "");
function Se(e, t, n = "/") {
  let r, s = {}, f = "", u = "";
  const d = t.indexOf("#");
  let l = t.indexOf("?");
  return d < l && d >= 0 && (l = -1), l > -1 && (r = t.slice(0, l), f = t.slice(l + 1, d > -1 ? d : t.length), s = e(f)), d > -1 && (r = r || t.slice(0, d), u = t.slice(d, t.length)), r = dn(r ?? t, n), {
    fullPath: r + (f && "?") + f + u,
    path: r,
    query: s,
    hash: Y(u)
  };
}
function un(e, t) {
  const n = t.query ? e(t.query) : "";
  return t.path + (n && "?") + n + (t.hash || "");
}
function Me(e, t) {
  return !t || !e.toLowerCase().startsWith(t.toLowerCase()) ? e : e.slice(t.length) || "/";
}
function Be(e, t, n) {
  const r = t.matched.length - 1, s = n.matched.length - 1;
  return r > -1 && r === s && j(t.matched[r], n.matched[s]) && ht(t.params, n.params) && e(t.query) === e(n.query) && t.hash === n.hash;
}
function j(e, t) {
  return (e.aliasOf || e) === (t.aliasOf || t);
}
function ht(e, t) {
  if (Object.keys(e).length !== Object.keys(t).length)
    return !1;
  for (const n in e)
    if (!fn(e[n], t[n]))
      return !1;
  return !0;
}
function fn(e, t) {
  return U(e) ? He(e, t) : U(t) ? He(t, e) : e === t;
}
function He(e, t) {
  return U(t) ? e.length === t.length && e.every((n, r) => n === t[r]) : e.length === 1 && e[0] === t;
}
function dn(e, t) {
  if (e.startsWith("/"))
    return e;
  if (process.env.NODE_ENV !== "production" && !t.startsWith("/"))
    return S(`Cannot resolve a relative location without an absolute path. Trying to resolve "${e}" from "${t}". It should look like "/${t}".`), e;
  if (!e)
    return t;
  const n = t.split("/"), r = e.split("/"), s = r[r.length - 1];
  (s === ".." || s === ".") && r.push("");
  let f = n.length - 1, u, d;
  for (u = 0; u < r.length; u++)
    if (d = r[u], d !== ".")
      if (d === "..")
        f > 1 && f--;
      else
        break;
  return n.slice(0, f).join("/") + "/" + r.slice(u).join("/");
}
var oe;
(function(e) {
  e.pop = "pop", e.push = "push";
})(oe || (oe = {}));
var re;
(function(e) {
  e.back = "back", e.forward = "forward", e.unknown = "";
})(re || (re = {}));
function hn(e) {
  if (!e)
    if (M) {
      const t = document.querySelector("base");
      e = t && t.getAttribute("href") || "/", e = e.replace(/^\w+:\/\/[^\/]+/, "");
    } else
      e = "/";
  return e[0] !== "/" && e[0] !== "#" && (e = "/" + e), ln(e);
}
const pn = /^[^#]+#/;
function mn(e, t) {
  return e.replace(pn, "#") + t;
}
function gn(e, t) {
  const n = document.documentElement.getBoundingClientRect(), r = e.getBoundingClientRect();
  return {
    behavior: t.behavior,
    left: r.left - n.left - (t.left || 0),
    top: r.top - n.top - (t.top || 0)
  };
}
const ue = () => ({
  left: window.scrollX,
  top: window.scrollY
});
function En(e) {
  let t;
  if ("el" in e) {
    const n = e.el, r = typeof n == "string" && n.startsWith("#");
    if (process.env.NODE_ENV !== "production" && typeof e.el == "string" && (!r || !document.getElementById(e.el.slice(1))))
      try {
        const f = document.querySelector(e.el);
        if (r && f) {
          S(`The selector "${e.el}" should be passed as "el: document.querySelector('${e.el}')" because it starts with "#".`);
          return;
        }
      } catch {
        S(`The selector "${e.el}" is invalid. If you are using an id selector, make sure to escape it. You can find more information about escaping characters in selectors at https://mathiasbynens.be/notes/css-escapes or use CSS.escape (https://developer.mozilla.org/en-US/docs/Web/API/CSS/escape).`);
        return;
      }
    const s = typeof n == "string" ? r ? document.getElementById(n.slice(1)) : document.querySelector(n) : n;
    if (!s) {
      process.env.NODE_ENV !== "production" && S(`Couldn't find element using selector "${e.el}" returned by scrollBehavior.`);
      return;
    }
    t = gn(s, e);
  } else
    t = e;
  "scrollBehavior" in document.documentElement.style ? window.scrollTo(t) : window.scrollTo(t.left != null ? t.left : window.scrollX, t.top != null ? t.top : window.scrollY);
}
function je(e, t) {
  return (history.state ? history.state.position - t : -1) + e;
}
const Oe = /* @__PURE__ */ new Map();
function vn(e, t) {
  Oe.set(e, t);
}
function _n(e) {
  const t = Oe.get(e);
  return Oe.delete(e), t;
}
let yn = () => location.protocol + "//" + location.host;
function pt(e, t) {
  const { pathname: n, search: r, hash: s } = t, f = e.indexOf("#");
  if (f > -1) {
    let d = s.includes(e.slice(f)) ? e.slice(f).length : 1, l = s.slice(d);
    return l[0] !== "/" && (l = "/" + l), Me(l, "");
  }
  return Me(n, e) + r + s;
}
function Rn(e, t, n, r) {
  let s = [], f = [], u = null;
  const d = ({ state: i }) => {
    const p = pt(e, location), v = n.value, T = t.value;
    let O = 0;
    if (i) {
      if (n.value = p, t.value = i, u && u === v) {
        u = null;
        return;
      }
      O = T ? i.position - T.position : 0;
    } else
      r(p);
    s.forEach((_) => {
      _(n.value, v, {
        delta: O,
        type: oe.pop,
        direction: O ? O > 0 ? re.forward : re.back : re.unknown
      });
    });
  };
  function l() {
    u = n.value;
  }
  function h(i) {
    s.push(i);
    const p = () => {
      const v = s.indexOf(i);
      v > -1 && s.splice(v, 1);
    };
    return f.push(p), p;
  }
  function o() {
    const { history: i } = window;
    i.state && i.replaceState($({}, i.state, { scroll: ue() }), "");
  }
  function c() {
    for (const i of f)
      i();
    f = [], window.removeEventListener("popstate", d), window.removeEventListener("beforeunload", o);
  }
  return window.addEventListener("popstate", d), window.addEventListener("beforeunload", o, {
    passive: !0
  }), {
    pauseListeners: l,
    listen: h,
    destroy: c
  };
}
function Fe(e, t, n, r = !1, s = !1) {
  return {
    back: e,
    current: t,
    forward: n,
    replaced: r,
    position: window.history.length,
    scroll: s ? ue() : null
  };
}
function Sn(e) {
  const { history: t, location: n } = window, r = {
    value: pt(e, n)
  }, s = { value: t.state };
  s.value || f(r.value, {
    back: null,
    current: r.value,
    forward: null,
    // the length is off by one, we need to decrease it
    position: t.length - 1,
    replaced: !0,
    // don't add a scroll as the user may have an anchor, and we want
    // scrollBehavior to be triggered without a saved position
    scroll: null
  }, !0);
  function f(l, h, o) {
    const c = e.indexOf("#"), i = c > -1 ? (n.host && document.querySelector("base") ? e : e.slice(c)) + l : yn() + e + l;
    try {
      t[o ? "replaceState" : "pushState"](h, "", i), s.value = h;
    } catch (p) {
      process.env.NODE_ENV !== "production" ? S("Error with push/replace State", p) : console.error(p), n[o ? "replace" : "assign"](i);
    }
  }
  function u(l, h) {
    const o = $({}, t.state, Fe(
      s.value.back,
      // keep back and forward entries but override current position
      l,
      s.value.forward,
      !0
    ), h, { position: s.value.position });
    f(l, o, !0), r.value = l;
  }
  function d(l, h) {
    const o = $(
      {},
      // use current history state to gracefully handle a wrong call to
      // history.replaceState
      // https://github.com/vuejs/router/issues/366
      s.value,
      t.state,
      {
        forward: l,
        scroll: ue()
      }
    );
    process.env.NODE_ENV !== "production" && !t.state && S(`history.state seems to have been manually replaced without preserving the necessary values. Make sure to preserve existing history state if you are manually calling history.replaceState:

history.replaceState(history.state, '', url)

You can find more information at https://next.router.vuejs.org/guide/migration/#usage-of-history-state.`), f(o.current, o, !0);
    const c = $({}, Fe(r.value, l, null), { position: o.position + 1 }, h);
    f(l, c, !1), r.value = l;
  }
  return {
    location: r,
    state: s,
    push: d,
    replace: u
  };
}
function bn(e) {
  e = hn(e);
  const t = Sn(e), n = Rn(e, t.state, t.location, t.replace);
  function r(f, u = !0) {
    u || n.pauseListeners(), history.go(f);
  }
  const s = $({
    // it's overridden right after
    location: "",
    base: e,
    go: r,
    createHref: mn.bind(null, e)
  }, t, n);
  return Object.defineProperty(s, "location", {
    enumerable: !0,
    get: () => t.location.value
  }), Object.defineProperty(s, "state", {
    enumerable: !0,
    get: () => t.state.value
  }), s;
}
function le(e) {
  return typeof e == "string" || e && typeof e == "object";
}
function mt(e) {
  return typeof e == "string" || typeof e == "symbol";
}
const B = {
  path: "/",
  name: void 0,
  params: {},
  query: {},
  hash: "",
  fullPath: "/",
  matched: [],
  meta: {},
  redirectedFrom: void 0
}, Te = Symbol(process.env.NODE_ENV !== "production" ? "navigation failure" : "");
var Ge;
(function(e) {
  e[e.aborted = 4] = "aborted", e[e.cancelled = 8] = "cancelled", e[e.duplicated = 16] = "duplicated";
})(Ge || (Ge = {}));
const wn = {
  1({ location: e, currentLocation: t }) {
    return `No match for
 ${JSON.stringify(e)}${t ? `
while being at
` + JSON.stringify(t) : ""}`;
  },
  2({ from: e, to: t }) {
    return `Redirected from "${e.fullPath}" to "${On(t)}" via a navigation guard.`;
  },
  4({ from: e, to: t }) {
    return `Navigation aborted from "${e.fullPath}" to "${t.fullPath}" via a navigation guard.`;
  },
  8({ from: e, to: t }) {
    return `Navigation cancelled from "${e.fullPath}" to "${t.fullPath}" with a new navigation.`;
  },
  16({ from: e, to: t }) {
    return `Avoided redundant navigation to current location: "${e.fullPath}".`;
  }
};
function J(e, t) {
  return process.env.NODE_ENV !== "production" ? $(new Error(wn[e](t)), {
    type: e,
    [Te]: !0
  }, t) : $(new Error(), {
    type: e,
    [Te]: !0
  }, t);
}
function V(e, t) {
  return e instanceof Error && Te in e && (t == null || !!(e.type & t));
}
const $n = ["params", "query", "hash"];
function On(e) {
  if (typeof e == "string")
    return e;
  if (e.path != null)
    return e.path;
  const t = {};
  for (const n of $n)
    n in e && (t[n] = e[n]);
  return JSON.stringify(t, null, 2);
}
const Ke = "[^/]+?", Tn = {
  sensitive: !1,
  strict: !1,
  start: !0,
  end: !0
}, Nn = /[.+*?^${}()[\]/\\]/g;
function An(e, t) {
  const n = $({}, Tn, t), r = [];
  let s = n.start ? "^" : "";
  const f = [];
  for (const h of e) {
    const o = h.length ? [] : [
      90
      /* PathScore.Root */
    ];
    n.strict && !h.length && (s += "/");
    for (let c = 0; c < h.length; c++) {
      const i = h[c];
      let p = 40 + (n.sensitive ? 0.25 : 0);
      if (i.type === 0)
        c || (s += "/"), s += i.value.replace(Nn, "\\$&"), p += 40;
      else if (i.type === 1) {
        const { value: v, repeatable: T, optional: O, regexp: _ } = i;
        f.push({
          name: v,
          repeatable: T,
          optional: O
        });
        const y = _ || Ke;
        if (y !== Ke) {
          p += 10;
          try {
            new RegExp(`(${y})`);
          } catch (k) {
            throw new Error(`Invalid custom RegExp for param "${v}" (${y}): ` + k.message);
          }
        }
        let A = T ? `((?:${y})(?:/(?:${y}))*)` : `(${y})`;
        c || (A = // avoid an optional / if there are more segments e.g. /:p?-static
        // or /:p?-:p2
        O && h.length < 2 ? `(?:/${A})` : "/" + A), O && (A += "?"), s += A, p += 20, O && (p += -8), T && (p += -20), y === ".*" && (p += -50);
      }
      o.push(p);
    }
    r.push(o);
  }
  if (n.strict && n.end) {
    const h = r.length - 1;
    r[h][r[h].length - 1] += 0.7000000000000001;
  }
  n.strict || (s += "/?"), n.end ? s += "$" : n.strict && (s += "(?:/|$)");
  const u = new RegExp(s, n.sensitive ? "" : "i");
  function d(h) {
    const o = h.match(u), c = {};
    if (!o)
      return null;
    for (let i = 1; i < o.length; i++) {
      const p = o[i] || "", v = f[i - 1];
      c[v.name] = p && v.repeatable ? p.split("/") : p;
    }
    return c;
  }
  function l(h) {
    let o = "", c = !1;
    for (const i of e) {
      (!c || !o.endsWith("/")) && (o += "/"), c = !1;
      for (const p of i)
        if (p.type === 0)
          o += p.value;
        else if (p.type === 1) {
          const { value: v, repeatable: T, optional: O } = p, _ = v in h ? h[v] : "";
          if (U(_) && !T)
            throw new Error(`Provided param "${v}" is an array but it is not repeatable (* or + modifiers)`);
          const y = U(_) ? _.join("/") : _;
          if (!y)
            if (O)
              i.length < 2 && (o.endsWith("/") ? o = o.slice(0, -1) : c = !0);
            else
              throw new Error(`Missing required param "${v}"`);
          o += y;
        }
    }
    return o || "/";
  }
  return {
    re: u,
    score: r,
    keys: f,
    parse: d,
    stringify: l
  };
}
function Pn(e, t) {
  let n = 0;
  for (; n < e.length && n < t.length; ) {
    const r = t[n] - e[n];
    if (r)
      return r;
    n++;
  }
  return e.length < t.length ? e.length === 1 && e[0] === 40 + 40 ? -1 : 1 : e.length > t.length ? t.length === 1 && t[0] === 40 + 40 ? 1 : -1 : 0;
}
function Dn(e, t) {
  let n = 0;
  const r = e.score, s = t.score;
  for (; n < r.length && n < s.length; ) {
    const f = Pn(r[n], s[n]);
    if (f)
      return f;
    n++;
  }
  if (Math.abs(s.length - r.length) === 1) {
    if (qe(r))
      return 1;
    if (qe(s))
      return -1;
  }
  return s.length - r.length;
}
function qe(e) {
  const t = e[e.length - 1];
  return e.length > 0 && t[t.length - 1] < 0;
}
const In = {
  type: 0,
  value: ""
}, kn = /[a-zA-Z0-9_]/;
function Cn(e) {
  if (!e)
    return [[]];
  if (e === "/")
    return [[In]];
  if (!e.startsWith("/"))
    throw new Error(process.env.NODE_ENV !== "production" ? `Route paths should start with a "/": "${e}" should be "/${e}".` : `Invalid path "${e}"`);
  function t(p) {
    throw new Error(`ERR (${n})/"${h}": ${p}`);
  }
  let n = 0, r = n;
  const s = [];
  let f;
  function u() {
    f && s.push(f), f = [];
  }
  let d = 0, l, h = "", o = "";
  function c() {
    h && (n === 0 ? f.push({
      type: 0,
      value: h
    }) : n === 1 || n === 2 || n === 3 ? (f.length > 1 && (l === "*" || l === "+") && t(`A repeatable param (${h}) must be alone in its segment. eg: '/:ids+.`), f.push({
      type: 1,
      value: h,
      regexp: o,
      repeatable: l === "*" || l === "+",
      optional: l === "*" || l === "?"
    })) : t("Invalid state to consume buffer"), h = "");
  }
  function i() {
    h += l;
  }
  for (; d < e.length; ) {
    if (l = e[d++], l === "\\" && n !== 2) {
      r = n, n = 4;
      continue;
    }
    switch (n) {
      case 0:
        l === "/" ? (h && c(), u()) : l === ":" ? (c(), n = 1) : i();
        break;
      case 4:
        i(), n = r;
        break;
      case 1:
        l === "(" ? n = 2 : kn.test(l) ? i() : (c(), n = 0, l !== "*" && l !== "?" && l !== "+" && d--);
        break;
      case 2:
        l === ")" ? o[o.length - 1] == "\\" ? o = o.slice(0, -1) + l : n = 3 : o += l;
        break;
      case 3:
        c(), n = 0, l !== "*" && l !== "?" && l !== "+" && d--, o = "";
        break;
      default:
        t("Unknown state");
        break;
    }
  }
  return n === 2 && t(`Unfinished custom RegExp for param "${h}"`), c(), u(), s;
}
function Un(e, t, n) {
  const r = An(Cn(e.path), n);
  if (process.env.NODE_ENV !== "production") {
    const f = /* @__PURE__ */ new Set();
    for (const u of r.keys)
      f.has(u.name) && S(`Found duplicated params with name "${u.name}" for path "${e.path}". Only the last one will be available on "$route.params".`), f.add(u.name);
  }
  const s = $(r, {
    record: e,
    parent: t,
    // these needs to be populated by the parent
    children: [],
    alias: []
  });
  return t && !s.record.aliasOf == !t.record.aliasOf && t.children.push(s), s;
}
function Ln(e, t) {
  const n = [], r = /* @__PURE__ */ new Map();
  t = Qe({ strict: !1, end: !0, sensitive: !1 }, t);
  function s(o) {
    return r.get(o);
  }
  function f(o, c, i) {
    const p = !i, v = xn(o);
    process.env.NODE_ENV !== "production" && Hn(v, c), v.aliasOf = i && i.record;
    const T = Qe(t, o), O = [
      v
    ];
    if ("alias" in o) {
      const A = typeof o.alias == "string" ? [o.alias] : o.alias;
      for (const k of A)
        O.push($({}, v, {
          // this allows us to hold a copy of the `components` option
          // so that async components cache is hold on the original record
          components: i ? i.record.components : v.components,
          path: k,
          // we might be the child of an alias
          aliasOf: i ? i.record : v
          // the aliases are always of the same kind as the original since they
          // are defined on the same record
        }));
    }
    let _, y;
    for (const A of O) {
      const { path: k } = A;
      if (c && k[0] !== "/") {
        const G = c.record.path, x = G[G.length - 1] === "/" ? "" : "/";
        A.path = c.record.path + (k && x + k);
      }
      if (process.env.NODE_ENV !== "production" && A.path === "*")
        throw new Error(`Catch all routes ("*") must now be defined using a param with a custom regexp.
See more at https://next.router.vuejs.org/guide/migration/#removed-star-or-catch-all-routes.`);
      if (_ = Un(A, c, T), process.env.NODE_ENV !== "production" && c && k[0] === "/" && jn(_, c), i ? (i.alias.push(_), process.env.NODE_ENV !== "production" && Bn(i, _)) : (y = y || _, y !== _ && y.alias.push(_), p && o.name && !ze(_) && u(o.name)), v.children) {
        const G = v.children;
        for (let x = 0; x < G.length; x++)
          f(G[x], _, i && i.children[x]);
      }
      i = i || _, (_.record.components && Object.keys(_.record.components).length || _.record.name || _.record.redirect) && l(_);
    }
    return y ? () => {
      u(y);
    } : ne;
  }
  function u(o) {
    if (mt(o)) {
      const c = r.get(o);
      c && (r.delete(o), n.splice(n.indexOf(c), 1), c.children.forEach(u), c.alias.forEach(u));
    } else {
      const c = n.indexOf(o);
      c > -1 && (n.splice(c, 1), o.record.name && r.delete(o.record.name), o.children.forEach(u), o.alias.forEach(u));
    }
  }
  function d() {
    return n;
  }
  function l(o) {
    let c = 0;
    for (; c < n.length && Dn(o, n[c]) >= 0 && // Adding children with empty path should still appear before the parent
    // https://github.com/vuejs/router/issues/1124
    (o.record.path !== n[c].record.path || !gt(o, n[c])); )
      c++;
    n.splice(c, 0, o), o.record.name && !ze(o) && r.set(o.record.name, o);
  }
  function h(o, c) {
    let i, p = {}, v, T;
    if ("name" in o && o.name) {
      if (i = r.get(o.name), !i)
        throw J(1, {
          location: o
        });
      if (process.env.NODE_ENV !== "production") {
        const y = Object.keys(o.params || {}).filter((A) => !i.keys.find((k) => k.name === A));
        y.length && S(`Discarded invalid param(s) "${y.join('", "')}" when navigating. See https://github.com/vuejs/router/blob/main/packages/router/CHANGELOG.md#414-2022-08-22 for more details.`);
      }
      T = i.record.name, p = $(
        // paramsFromLocation is a new object
        We(
          c.params,
          // only keep params that exist in the resolved location
          // only keep optional params coming from a parent record
          i.keys.filter((y) => !y.optional).concat(i.parent ? i.parent.keys.filter((y) => y.optional) : []).map((y) => y.name)
        ),
        // discard any existing params in the current location that do not exist here
        // #1497 this ensures better active/exact matching
        o.params && We(o.params, i.keys.map((y) => y.name))
      ), v = i.stringify(p);
    } else if (o.path != null)
      v = o.path, process.env.NODE_ENV !== "production" && !v.startsWith("/") && S(`The Matcher cannot resolve relative paths but received "${v}". Unless you directly called \`matcher.resolve("${v}")\`, this is probably a bug in vue-router. Please open an issue at https://github.com/vuejs/router/issues/new/choose.`), i = n.find((y) => y.re.test(v)), i && (p = i.parse(v), T = i.record.name);
    else {
      if (i = c.name ? r.get(c.name) : n.find((y) => y.re.test(c.path)), !i)
        throw J(1, {
          location: o,
          currentLocation: c
        });
      T = i.record.name, p = $({}, c.params, o.params), v = i.stringify(p);
    }
    const O = [];
    let _ = i;
    for (; _; )
      O.unshift(_.record), _ = _.parent;
    return {
      name: T,
      path: v,
      params: p,
      matched: O,
      meta: Mn(O)
    };
  }
  return e.forEach((o) => f(o)), { addRoute: f, resolve: h, removeRoute: u, getRoutes: d, getRecordMatcher: s };
}
function We(e, t) {
  const n = {};
  for (const r of t)
    r in e && (n[r] = e[r]);
  return n;
}
function xn(e) {
  return {
    path: e.path,
    redirect: e.redirect,
    name: e.name,
    meta: e.meta || {},
    aliasOf: void 0,
    beforeEnter: e.beforeEnter,
    props: Vn(e),
    children: e.children || [],
    instances: {},
    leaveGuards: /* @__PURE__ */ new Set(),
    updateGuards: /* @__PURE__ */ new Set(),
    enterCallbacks: {},
    components: "components" in e ? e.components || null : e.component && { default: e.component }
  };
}
function Vn(e) {
  const t = {}, n = e.props || !1;
  if ("component" in e)
    t.default = n;
  else
    for (const r in e.components)
      t[r] = typeof n == "object" ? n[r] : n;
  return t;
}
function ze(e) {
  for (; e; ) {
    if (e.record.aliasOf)
      return !0;
    e = e.parent;
  }
  return !1;
}
function Mn(e) {
  return e.reduce((t, n) => $(t, n.meta), {});
}
function Qe(e, t) {
  const n = {};
  for (const r in e)
    n[r] = r in t ? t[r] : e[r];
  return n;
}
function Ne(e, t) {
  return e.name === t.name && e.optional === t.optional && e.repeatable === t.repeatable;
}
function Bn(e, t) {
  for (const n of e.keys)
    if (!n.optional && !t.keys.find(Ne.bind(null, n)))
      return S(`Alias "${t.record.path}" and the original record: "${e.record.path}" must have the exact same param named "${n.name}"`);
  for (const n of t.keys)
    if (!n.optional && !e.keys.find(Ne.bind(null, n)))
      return S(`Alias "${t.record.path}" and the original record: "${e.record.path}" must have the exact same param named "${n.name}"`);
}
function Hn(e, t) {
  t && t.record.name && !e.name && !e.path && S(`The route named "${String(t.record.name)}" has a child without a name and an empty path. Using that name won't render the empty path child so you probably want to move the name to the child instead. If this is intentional, add a name to the child route to remove the warning.`);
}
function jn(e, t) {
  for (const n of t.keys)
    if (!e.keys.find(Ne.bind(null, n)))
      return S(`Absolute path "${e.record.path}" must have the exact same param named "${n.name}" as its parent "${t.record.path}".`);
}
function gt(e, t) {
  return t.children.some((n) => n === e || gt(e, n));
}
function Fn(e) {
  const t = {};
  if (e === "" || e === "?")
    return t;
  const r = (e[0] === "?" ? e.slice(1) : e).split("&");
  for (let s = 0; s < r.length; ++s) {
    const f = r[s].replace(lt, " "), u = f.indexOf("="), d = Y(u < 0 ? f : f.slice(0, u)), l = u < 0 ? null : Y(f.slice(u + 1));
    if (d in t) {
      let h = t[d];
      U(h) || (h = t[d] = [h]), h.push(l);
    } else
      t[d] = l;
  }
  return t;
}
function Ye(e) {
  let t = "";
  for (let n in e) {
    const r = e[n];
    if (n = on(n), r == null) {
      r !== void 0 && (t += (t.length ? "&" : "") + n);
      continue;
    }
    (U(r) ? r.map((f) => f && $e(f)) : [r && $e(r)]).forEach((f) => {
      f !== void 0 && (t += (t.length ? "&" : "") + n, f != null && (t += "=" + f));
    });
  }
  return t;
}
function Gn(e) {
  const t = {};
  for (const n in e) {
    const r = e[n];
    r !== void 0 && (t[n] = U(r) ? r.map((s) => s == null ? null : "" + s) : r == null ? r : "" + r);
  }
  return t;
}
const Kn = Symbol(process.env.NODE_ENV !== "production" ? "router view location matched" : ""), Je = Symbol(process.env.NODE_ENV !== "production" ? "router view depth" : ""), fe = Symbol(process.env.NODE_ENV !== "production" ? "router" : ""), Ie = Symbol(process.env.NODE_ENV !== "production" ? "route location" : ""), Ae = Symbol(process.env.NODE_ENV !== "production" ? "router view location" : "");
function ee() {
  let e = [];
  function t(r) {
    return e.push(r), () => {
      const s = e.indexOf(r);
      s > -1 && e.splice(s, 1);
    };
  }
  function n() {
    e = [];
  }
  return {
    add: t,
    list: () => e.slice(),
    reset: n
  };
}
function H(e, t, n, r, s, f = (u) => u()) {
  const u = r && // name is defined if record is because of the function overload
  (r.enterCallbacks[s] = r.enterCallbacks[s] || []);
  return () => new Promise((d, l) => {
    const h = (i) => {
      i === !1 ? l(J(4, {
        from: n,
        to: t
      })) : i instanceof Error ? l(i) : le(i) ? l(J(2, {
        from: t,
        to: i
      })) : (u && // since enterCallbackArray is truthy, both record and name also are
      r.enterCallbacks[s] === u && typeof i == "function" && u.push(i), d());
    }, o = f(() => e.call(r && r.instances[s], t, n, process.env.NODE_ENV !== "production" ? qn(h, t, n) : h));
    let c = Promise.resolve(o);
    if (e.length < 3 && (c = c.then(h)), process.env.NODE_ENV !== "production" && e.length > 2) {
      const i = `The "next" callback was never called inside of ${e.name ? '"' + e.name + '"' : ""}:
${e.toString()}
. If you are returning a value instead of calling "next", make sure to remove the "next" parameter from your function.`;
      if (typeof o == "object" && "then" in o)
        c = c.then((p) => h._called ? p : (S(i), Promise.reject(new Error("Invalid navigation guard"))));
      else if (o !== void 0 && !h._called) {
        S(i), l(new Error("Invalid navigation guard"));
        return;
      }
    }
    c.catch((i) => l(i));
  });
}
function qn(e, t, n) {
  let r = 0;
  return function() {
    r++ === 1 && S(`The "next" callback was called more than once in one navigation guard when going from "${n.fullPath}" to "${t.fullPath}". It should be called exactly one time in each navigation guard. This will fail in production.`), e._called = !0, r === 1 && e.apply(null, arguments);
  };
}
function be(e, t, n, r, s = (f) => f()) {
  const f = [];
  for (const u of e) {
    process.env.NODE_ENV !== "production" && !u.components && !u.children.length && S(`Record with path "${u.path}" is either missing a "component(s)" or "children" property.`);
    for (const d in u.components) {
      let l = u.components[d];
      if (process.env.NODE_ENV !== "production") {
        if (!l || typeof l != "object" && typeof l != "function")
          throw S(`Component "${d}" in record with path "${u.path}" is not a valid component. Received "${String(l)}".`), new Error("Invalid route component");
        if ("then" in l) {
          S(`Component "${d}" in record with path "${u.path}" is a Promise instead of a function that returns a Promise. Did you write "import('./MyPage.vue')" instead of "() => import('./MyPage.vue')" ? This will break in production if not fixed.`);
          const h = l;
          l = () => h;
        } else
          l.__asyncLoader && // warn only once per component
          !l.__warnedDefineAsync && (l.__warnedDefineAsync = !0, S(`Component "${d}" in record with path "${u.path}" is defined using "defineAsyncComponent()". Write "() => import('./MyPage.vue')" instead of "defineAsyncComponent(() => import('./MyPage.vue'))".`));
      }
      if (!(t !== "beforeRouteEnter" && !u.instances[d]))
        if (Wn(l)) {
          const o = (l.__vccOpts || l)[t];
          o && f.push(H(o, n, r, u, d, s));
        } else {
          let h = l();
          process.env.NODE_ENV !== "production" && !("catch" in h) && (S(`Component "${d}" in record with path "${u.path}" is a function that does not return a Promise. If you were passing a functional component, make sure to add a "displayName" to the component. This will break in production if not fixed.`), h = Promise.resolve(h)), f.push(() => h.then((o) => {
            if (!o)
              return Promise.reject(new Error(`Couldn't resolve component "${d}" at "${u.path}"`));
            const c = Wt(o) ? o.default : o;
            u.components[d] = c;
            const p = (c.__vccOpts || c)[t];
            return p && H(p, n, r, u, d, s)();
          }));
        }
    }
  }
  return f;
}
function Wn(e) {
  return typeof e == "object" || "displayName" in e || "props" in e || "__vccOpts" in e;
}
function Xe(e) {
  const t = q(fe), n = q(Ie);
  let r = !1, s = null;
  const f = L(() => {
    const o = Q(e.to);
    return process.env.NODE_ENV !== "production" && (!r || o !== s) && (le(o) || (r ? S(`Invalid value for prop "to" in useLink()
- to:`, o, `
- previous to:`, s, `
- props:`, e) : S(`Invalid value for prop "to" in useLink()
- to:`, o, `
- props:`, e)), s = o, r = !0), t.resolve(o);
  }), u = L(() => {
    const { matched: o } = f.value, { length: c } = o, i = o[c - 1], p = n.matched;
    if (!i || !p.length)
      return -1;
    const v = p.findIndex(j.bind(null, i));
    if (v > -1)
      return v;
    const T = Ze(o[c - 2]);
    return (
      // we are dealing with nested routes
      c > 1 && // if the parent and matched route have the same path, this link is
      // referring to the empty child. Or we currently are on a different
      // child of the same parent
      Ze(i) === T && // avoid comparing the child with its parent
      p[p.length - 1].path !== T ? p.findIndex(j.bind(null, o[c - 2])) : v
    );
  }), d = L(() => u.value > -1 && Jn(n.params, f.value.params)), l = L(() => u.value > -1 && u.value === n.matched.length - 1 && ht(n.params, f.value.params));
  function h(o = {}) {
    return Yn(o) ? t[Q(e.replace) ? "replace" : "push"](
      Q(e.to)
      // avoid uncaught errors are they are logged anyway
    ).catch(ne) : Promise.resolve();
  }
  if (process.env.NODE_ENV !== "production" && M) {
    const o = at();
    if (o) {
      const c = {
        route: f.value,
        isActive: d.value,
        isExactActive: l.value,
        error: null
      };
      o.__vrl_devtools = o.__vrl_devtools || [], o.__vrl_devtools.push(c), Ut(() => {
        c.route = f.value, c.isActive = d.value, c.isExactActive = l.value, c.error = le(Q(e.to)) ? null : 'Invalid "to" value';
      }, { flush: "post" });
    }
  }
  return {
    route: f,
    href: L(() => f.value.href),
    isActive: d,
    isExactActive: l,
    navigate: h
  };
}
const zn = /* @__PURE__ */ rt({
  name: "RouterLink",
  compatConfig: { MODE: 3 },
  props: {
    to: {
      type: [String, Object],
      required: !0
    },
    replace: Boolean,
    activeClass: String,
    // inactiveClass: String,
    exactActiveClass: String,
    custom: Boolean,
    ariaCurrentValue: {
      type: String,
      default: "page"
    }
  },
  useLink: Xe,
  setup(e, { slots: t }) {
    const n = kt(Xe(e)), { options: r } = q(fe), s = L(() => ({
      [et(e.activeClass, r.linkActiveClass, "router-link-active")]: n.isActive,
      // [getLinkClass(
      //   props.inactiveClass,
      //   options.linkInactiveClass,
      //   'router-link-inactive'
      // )]: !link.isExactActive,
      [et(e.exactActiveClass, r.linkExactActiveClass, "router-link-exact-active")]: n.isExactActive
    }));
    return () => {
      const f = t.default && t.default(n);
      return e.custom ? f : ot("a", {
        "aria-current": n.isExactActive ? e.ariaCurrentValue : null,
        href: n.href,
        // this would override user added attrs but Vue will still add
        // the listener, so we end up triggering both
        onClick: n.navigate,
        class: s.value
      }, f);
    };
  }
}), Qn = zn;
function Yn(e) {
  if (!(e.metaKey || e.altKey || e.ctrlKey || e.shiftKey) && !e.defaultPrevented && !(e.button !== void 0 && e.button !== 0)) {
    if (e.currentTarget && e.currentTarget.getAttribute) {
      const t = e.currentTarget.getAttribute("target");
      if (/\b_blank\b/i.test(t))
        return;
    }
    return e.preventDefault && e.preventDefault(), !0;
  }
}
function Jn(e, t) {
  for (const n in t) {
    const r = t[n], s = e[n];
    if (typeof r == "string") {
      if (r !== s)
        return !1;
    } else if (!U(s) || s.length !== r.length || r.some((f, u) => f !== s[u]))
      return !1;
  }
  return !0;
}
function Ze(e) {
  return e ? e.aliasOf ? e.aliasOf.path : e.path : "";
}
const et = (e, t, n) => e ?? t ?? n, Xn = /* @__PURE__ */ rt({
  name: "RouterView",
  // #674 we manually inherit them
  inheritAttrs: !1,
  props: {
    name: {
      type: String,
      default: "default"
    },
    route: Object
  },
  // Better compat for @vue/compat users
  // https://github.com/vuejs/router/issues/1315
  compatConfig: { MODE: 3 },
  setup(e, { attrs: t, slots: n }) {
    process.env.NODE_ENV !== "production" && er();
    const r = q(Ae), s = L(() => e.route || r.value), f = q(Je, 0), u = L(() => {
      let h = Q(f);
      const { matched: o } = s.value;
      let c;
      for (; (c = o[h]) && !c.components; )
        h++;
      return h;
    }), d = L(() => s.value.matched[u.value]);
    ve(Je, L(() => u.value + 1)), ve(Kn, d), ve(Ae, s);
    const l = Ct();
    return st(() => [l.value, d.value, e.name], ([h, o, c], [i, p, v]) => {
      o && (o.instances[c] = h, p && p !== o && h && h === i && (o.leaveGuards.size || (o.leaveGuards = p.leaveGuards), o.updateGuards.size || (o.updateGuards = p.updateGuards))), h && o && // if there is no instance but to and from are the same this might be
      // the first visit
      (!p || !j(o, p) || !i) && (o.enterCallbacks[c] || []).forEach((T) => T(h));
    }, { flush: "post" }), () => {
      const h = s.value, o = e.name, c = d.value, i = c && c.components[o];
      if (!i)
        return tt(n.default, { Component: i, route: h });
      const p = c.props[o], v = p ? p === !0 ? h.params : typeof p == "function" ? p(h) : p : null, O = ot(i, $({}, v, t, {
        onVnodeUnmounted: (_) => {
          _.component.isUnmounted && (c.instances[o] = null);
        },
        ref: l
      }));
      if (process.env.NODE_ENV !== "production" && M && O.ref) {
        const _ = {
          depth: u.value,
          name: c.name,
          path: c.path,
          meta: c.meta
        };
        (U(O.ref) ? O.ref.map((A) => A.i) : [O.ref.i]).forEach((A) => {
          A.__vrv_devtools = _;
        });
      }
      return (
        // pass the vnode to the slot as a prop.
        // h and <component :is="..."> both accept vnodes
        tt(n.default, { Component: O, route: h }) || O
      );
    };
  }
});
function tt(e, t) {
  if (!e)
    return null;
  const n = e(t);
  return n.length === 1 ? n[0] : n;
}
const Zn = Xn;
function er() {
  const e = at(), t = e.parent && e.parent.type.name, n = e.parent && e.parent.subTree && e.parent.subTree.type;
  if (t && (t === "KeepAlive" || t.includes("Transition")) && typeof n == "object" && n.name === "RouterView") {
    const r = t === "KeepAlive" ? "keep-alive" : "transition";
    S(`<router-view> can no longer be used directly inside <transition> or <keep-alive>.
Use slot props instead:

<router-view v-slot="{ Component }">
  <${r}>
    <component :is="Component" />
  </${r}>
</router-view>`);
  }
}
function te(e, t) {
  const n = $({}, e, {
    // remove variables that can contain vue instances
    matched: e.matched.map((r) => fr(r, ["instances", "children", "aliasOf"]))
  });
  return {
    _custom: {
      type: null,
      readOnly: !0,
      display: e.fullPath,
      tooltip: t,
      value: n
    }
  };
}
function ie(e) {
  return {
    _custom: {
      display: e
    }
  };
}
let tr = 0;
function nr(e, t, n) {
  if (t.__hasDevtools)
    return;
  t.__hasDevtools = !0;
  const r = tr++;
  qt({
    id: "org.vuejs.router" + (r ? "." + r : ""),
    label: "Vue Router",
    packageName: "vue-router",
    homepage: "https://router.vuejs.org",
    logo: "https://router.vuejs.org/logo.png",
    componentStateTypes: ["Routing"],
    app: e
  }, (s) => {
    typeof s.now != "function" && console.warn("[Vue Router]: You seem to be using an outdated version of Vue Devtools. Are you still using the Beta release instead of the stable one? You can find the links at https://devtools.vuejs.org/guide/installation.html."), s.on.inspectComponent((o, c) => {
      o.instanceData && o.instanceData.state.push({
        type: "Routing",
        key: "$route",
        editable: !1,
        value: te(t.currentRoute.value, "Current Route")
      });
    }), s.on.visitComponentTree(({ treeNode: o, componentInstance: c }) => {
      if (c.__vrv_devtools) {
        const i = c.__vrv_devtools;
        o.tags.push({
          label: (i.name ? `${i.name.toString()}: ` : "") + i.path,
          textColor: 0,
          tooltip: "This component is rendered by &lt;router-view&gt;",
          backgroundColor: Et
        });
      }
      U(c.__vrl_devtools) && (c.__devtoolsApi = s, c.__vrl_devtools.forEach((i) => {
        let p = i.route.path, v = yt, T = "", O = 0;
        i.error ? (p = i.error, v = ir, O = cr) : i.isExactActive ? (v = _t, T = "This is exactly active") : i.isActive && (v = vt, T = "This link is active"), o.tags.push({
          label: p,
          textColor: O,
          tooltip: T,
          backgroundColor: v
        });
      }));
    }), st(t.currentRoute, () => {
      l(), s.notifyComponentUpdate(), s.sendInspectorTree(d), s.sendInspectorState(d);
    });
    const f = "router:navigations:" + r;
    s.addTimelineLayer({
      id: f,
      label: `Router${r ? " " + r : ""} Navigations`,
      color: 4237508
    }), t.onError((o, c) => {
      s.addTimelineEvent({
        layerId: f,
        event: {
          title: "Error during Navigation",
          subtitle: c.fullPath,
          logType: "error",
          time: s.now(),
          data: { error: o },
          groupId: c.meta.__navigationId
        }
      });
    });
    let u = 0;
    t.beforeEach((o, c) => {
      const i = {
        guard: ie("beforeEach"),
        from: te(c, "Current Location during this navigation"),
        to: te(o, "Target location")
      };
      Object.defineProperty(o.meta, "__navigationId", {
        value: u++
      }), s.addTimelineEvent({
        layerId: f,
        event: {
          time: s.now(),
          title: "Start of navigation",
          subtitle: o.fullPath,
          data: i,
          groupId: o.meta.__navigationId
        }
      });
    }), t.afterEach((o, c, i) => {
      const p = {
        guard: ie("afterEach")
      };
      i ? (p.failure = {
        _custom: {
          type: Error,
          readOnly: !0,
          display: i ? i.message : "",
          tooltip: "Navigation Failure",
          value: i
        }
      }, p.status = ie("❌")) : p.status = ie("✅"), p.from = te(c, "Current Location during this navigation"), p.to = te(o, "Target location"), s.addTimelineEvent({
        layerId: f,
        event: {
          title: "End of navigation",
          subtitle: o.fullPath,
          time: s.now(),
          data: p,
          logType: i ? "warning" : "default",
          groupId: o.meta.__navigationId
        }
      });
    });
    const d = "router-inspector:" + r;
    s.addInspector({
      id: d,
      label: "Routes" + (r ? " " + r : ""),
      icon: "book",
      treeFilterPlaceholder: "Search routes"
    });
    function l() {
      if (!h)
        return;
      const o = h;
      let c = n.getRoutes().filter((i) => !i.parent || // these routes have a parent with no component which will not appear in the view
      // therefore we still need to include them
      !i.parent.record.components);
      c.forEach(bt), o.filter && (c = c.filter((i) => (
        // save matches state based on the payload
        Pe(i, o.filter.toLowerCase())
      ))), c.forEach((i) => St(i, t.currentRoute.value)), o.rootNodes = c.map(Rt);
    }
    let h;
    s.on.getInspectorTree((o) => {
      h = o, o.app === e && o.inspectorId === d && l();
    }), s.on.getInspectorState((o) => {
      if (o.app === e && o.inspectorId === d) {
        const i = n.getRoutes().find((p) => p.record.__vd_id === o.nodeId);
        i && (o.state = {
          options: or(i)
        });
      }
    }), s.sendInspectorTree(d), s.sendInspectorState(d);
  });
}
function rr(e) {
  return e.optional ? e.repeatable ? "*" : "?" : e.repeatable ? "+" : "";
}
function or(e) {
  const { record: t } = e, n = [
    { editable: !1, key: "path", value: t.path }
  ];
  return t.name != null && n.push({
    editable: !1,
    key: "name",
    value: t.name
  }), n.push({ editable: !1, key: "regexp", value: e.re }), e.keys.length && n.push({
    editable: !1,
    key: "keys",
    value: {
      _custom: {
        type: null,
        readOnly: !0,
        display: e.keys.map((r) => `${r.name}${rr(r)}`).join(" "),
        tooltip: "Param keys",
        value: e.keys
      }
    }
  }), t.redirect != null && n.push({
    editable: !1,
    key: "redirect",
    value: t.redirect
  }), e.alias.length && n.push({
    editable: !1,
    key: "aliases",
    value: e.alias.map((r) => r.record.path)
  }), Object.keys(e.record.meta).length && n.push({
    editable: !1,
    key: "meta",
    value: e.record.meta
  }), n.push({
    key: "score",
    editable: !1,
    value: {
      _custom: {
        type: null,
        readOnly: !0,
        display: e.score.map((r) => r.join(", ")).join(" | "),
        tooltip: "Score used to sort routes",
        value: e.score
      }
    }
  }), n;
}
const Et = 15485081, vt = 2450411, _t = 8702998, sr = 2282478, yt = 16486972, ar = 6710886, ir = 16704226, cr = 12131356;
function Rt(e) {
  const t = [], { record: n } = e;
  n.name != null && t.push({
    label: String(n.name),
    textColor: 0,
    backgroundColor: sr
  }), n.aliasOf && t.push({
    label: "alias",
    textColor: 0,
    backgroundColor: yt
  }), e.__vd_match && t.push({
    label: "matches",
    textColor: 0,
    backgroundColor: Et
  }), e.__vd_exactActive && t.push({
    label: "exact",
    textColor: 0,
    backgroundColor: _t
  }), e.__vd_active && t.push({
    label: "active",
    textColor: 0,
    backgroundColor: vt
  }), n.redirect && t.push({
    label: typeof n.redirect == "string" ? `redirect: ${n.redirect}` : "redirects",
    textColor: 16777215,
    backgroundColor: ar
  });
  let r = n.__vd_id;
  return r == null && (r = String(lr++), n.__vd_id = r), {
    id: r,
    label: n.path,
    tags: t,
    children: e.children.map(Rt)
  };
}
let lr = 0;
const ur = /^\/(.*)\/([a-z]*)$/;
function St(e, t) {
  const n = t.matched.length && j(t.matched[t.matched.length - 1], e.record);
  e.__vd_exactActive = e.__vd_active = n, n || (e.__vd_active = t.matched.some((r) => j(r, e.record))), e.children.forEach((r) => St(r, t));
}
function bt(e) {
  e.__vd_match = !1, e.children.forEach(bt);
}
function Pe(e, t) {
  const n = String(e.re).match(ur);
  if (e.__vd_match = !1, !n || n.length < 3)
    return !1;
  if (new RegExp(n[1].replace(/\$$/, ""), n[2]).test(t))
    return e.children.forEach((u) => Pe(u, t)), e.record.path !== "/" || t === "/" ? (e.__vd_match = e.re.test(t), !0) : !1;
  const s = e.record.path.toLowerCase(), f = Y(s);
  return !t.startsWith("/") && (f.includes(t) || s.includes(t)) || f.startsWith(t) || s.startsWith(t) || e.record.name && String(e.record.name).includes(t) ? !0 : e.children.some((u) => Pe(u, t));
}
function fr(e, t) {
  const n = {};
  for (const r in e)
    t.includes(r) || (n[r] = e[r]);
  return n;
}
function dr(e) {
  const t = Ln(e.routes, e), n = e.parseQuery || Fn, r = e.stringifyQuery || Ye, s = e.history;
  if (process.env.NODE_ENV !== "production" && !s)
    throw new Error('Provide the "history" option when calling "createRouter()": https://next.router.vuejs.org/api/#history.');
  const f = ee(), u = ee(), d = ee(), l = Pt(B);
  let h = B;
  M && e.scrollBehavior && "scrollRestoration" in history && (history.scrollRestoration = "manual");
  const o = Re.bind(null, (a) => "" + a), c = Re.bind(null, an), i = (
    // @ts-expect-error: intentionally avoid the type check
    Re.bind(null, Y)
  );
  function p(a, g) {
    let m, E;
    return mt(a) ? (m = t.getRecordMatcher(a), process.env.NODE_ENV !== "production" && !m && S(`Parent route "${String(a)}" not found when adding child route`, g), E = g) : E = a, t.addRoute(E, m);
  }
  function v(a) {
    const g = t.getRecordMatcher(a);
    g ? t.removeRoute(g) : process.env.NODE_ENV !== "production" && S(`Cannot remove non-existent route "${String(a)}"`);
  }
  function T() {
    return t.getRoutes().map((a) => a.record);
  }
  function O(a) {
    return !!t.getRecordMatcher(a);
  }
  function _(a, g) {
    if (g = $({}, g || l.value), typeof a == "string") {
      const R = Se(n, a, g.path), N = t.resolve({ path: R.path }, g), K = s.createHref(R.fullPath);
      return process.env.NODE_ENV !== "production" && (K.startsWith("//") ? S(`Location "${a}" resolved to "${K}". A resolved location cannot start with multiple slashes.`) : N.matched.length || S(`No match found for location with path "${a}"`)), $(R, N, {
        params: i(N.params),
        hash: Y(R.hash),
        redirectedFrom: void 0,
        href: K
      });
    }
    process.env.NODE_ENV !== "production" && !le(a) && (S(`router.resolve() was passed an invalid location. This will fail in production.
- Location:`, a), a = {});
    let m;
    if (a.path != null)
      process.env.NODE_ENV !== "production" && "params" in a && !("name" in a) && // @ts-expect-error: the type is never
      Object.keys(a.params).length && S(`Path "${a.path}" was passed with params but they will be ignored. Use a named route alongside params instead.`), m = $({}, a, {
        path: Se(n, a.path, g.path).path
      });
    else {
      const R = $({}, a.params);
      for (const N in R)
        R[N] == null && delete R[N];
      m = $({}, a, {
        params: c(R)
      }), g.params = c(g.params);
    }
    const E = t.resolve(m, g), w = a.hash || "";
    process.env.NODE_ENV !== "production" && w && !w.startsWith("#") && S(`A \`hash\` should always start with the character "#". Replace "${w}" with "#${w}".`), E.params = o(i(E.params));
    const P = un(r, $({}, a, {
      hash: rn(w),
      path: E.path
    })), b = s.createHref(P);
    return process.env.NODE_ENV !== "production" && (b.startsWith("//") ? S(`Location "${a}" resolved to "${b}". A resolved location cannot start with multiple slashes.`) : E.matched.length || S(`No match found for location with path "${a.path != null ? a.path : a}"`)), $({
      fullPath: P,
      // keep the hash encoded so fullPath is effectively path + encodedQuery +
      // hash
      hash: w,
      query: (
        // if the user is using a custom query lib like qs, we might have
        // nested objects, so we keep the query as is, meaning it can contain
        // numbers at `$route.query`, but at the point, the user will have to
        // use their own type anyway.
        // https://github.com/vuejs/router/issues/328#issuecomment-649481567
        r === Ye ? Gn(a.query) : a.query || {}
      )
    }, E, {
      redirectedFrom: void 0,
      href: b
    });
  }
  function y(a) {
    return typeof a == "string" ? Se(n, a, l.value.path) : $({}, a);
  }
  function A(a, g) {
    if (h !== a)
      return J(8, {
        from: g,
        to: a
      });
  }
  function k(a) {
    return X(a);
  }
  function G(a) {
    return k($(y(a), { replace: !0 }));
  }
  function x(a) {
    const g = a.matched[a.matched.length - 1];
    if (g && g.redirect) {
      const { redirect: m } = g;
      let E = typeof m == "function" ? m(a) : m;
      if (typeof E == "string" && (E = E.includes("?") || E.includes("#") ? E = y(E) : (
        // force empty params
        { path: E }
      ), E.params = {}), process.env.NODE_ENV !== "production" && E.path == null && !("name" in E))
        throw S(`Invalid redirect found:
${JSON.stringify(E, null, 2)}
 when navigating to "${a.fullPath}". A redirect must contain a name or path. This will break in production.`), new Error("Invalid redirect");
      return $({
        query: a.query,
        hash: a.hash,
        // avoid transferring params if the redirect has a path
        params: E.path != null ? {} : a.params
      }, E);
    }
  }
  function X(a, g) {
    const m = h = _(a), E = l.value, w = a.state, P = a.force, b = a.replace === !0, R = x(m);
    if (R)
      return X(
        $(y(R), {
          state: typeof R == "object" ? $({}, w, R.state) : w,
          force: P,
          replace: b
        }),
        // keep original redirectedFrom if it exists
        g || m
      );
    const N = m;
    N.redirectedFrom = g;
    let K;
    return !P && Be(r, E, m) && (K = J(16, { to: N, from: E }), xe(
      E,
      E,
      // this is a push, the only way for it to be triggered from a
      // history.listen is with a redirect, which makes it become a push
      !0,
      // This cannot be the first navigation because the initial location
      // cannot be manually navigated to
      !1
    )), (K ? Promise.resolve(K) : ke(N, E)).catch((I) => V(I) ? (
      // navigation redirects still mark the router as ready
      V(
        I,
        2
        /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
      ) ? I : me(I)
    ) : (
      // reject any unknown error
      pe(I, N, E)
    )).then((I) => {
      if (I) {
        if (V(
          I,
          2
          /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
        ))
          return process.env.NODE_ENV !== "production" && // we are redirecting to the same location we were already at
          Be(r, _(I.to), N) && // and we have done it a couple of times
          g && // @ts-expect-error: added only in dev
          (g._count = g._count ? (
            // @ts-expect-error
            g._count + 1
          ) : 1) > 30 ? (S(`Detected a possibly infinite redirection in a navigation guard when going from "${E.fullPath}" to "${N.fullPath}". Aborting to avoid a Stack Overflow.
 Are you always returning a new location within a navigation guard? That would lead to this error. Only return when redirecting or aborting, that should fix this. This might break in production if not fixed.`), Promise.reject(new Error("Infinite redirect in navigation guard"))) : X(
            // keep options
            $({
              // preserve an existing replacement but allow the redirect to override it
              replace: b
            }, y(I.to), {
              state: typeof I.to == "object" ? $({}, w, I.to.state) : w,
              force: P
            }),
            // preserve the original redirectedFrom if any
            g || N
          );
      } else
        I = Ue(N, E, !0, b, w);
      return Ce(N, E, I), I;
    });
  }
  function $t(a, g) {
    const m = A(a, g);
    return m ? Promise.reject(m) : Promise.resolve();
  }
  function de(a) {
    const g = ae.values().next().value;
    return g && typeof g.runWithContext == "function" ? g.runWithContext(a) : a();
  }
  function ke(a, g) {
    let m;
    const [E, w, P] = hr(a, g);
    m = be(E.reverse(), "beforeRouteLeave", a, g);
    for (const R of E)
      R.leaveGuards.forEach((N) => {
        m.push(H(N, a, g));
      });
    const b = $t.bind(null, a, g);
    return m.push(b), W(m).then(() => {
      m = [];
      for (const R of f.list())
        m.push(H(R, a, g));
      return m.push(b), W(m);
    }).then(() => {
      m = be(w, "beforeRouteUpdate", a, g);
      for (const R of w)
        R.updateGuards.forEach((N) => {
          m.push(H(N, a, g));
        });
      return m.push(b), W(m);
    }).then(() => {
      m = [];
      for (const R of P)
        if (R.beforeEnter)
          if (U(R.beforeEnter))
            for (const N of R.beforeEnter)
              m.push(H(N, a, g));
          else
            m.push(H(R.beforeEnter, a, g));
      return m.push(b), W(m);
    }).then(() => (a.matched.forEach((R) => R.enterCallbacks = {}), m = be(P, "beforeRouteEnter", a, g, de), m.push(b), W(m))).then(() => {
      m = [];
      for (const R of u.list())
        m.push(H(R, a, g));
      return m.push(b), W(m);
    }).catch((R) => V(
      R,
      8
      /* ErrorTypes.NAVIGATION_CANCELLED */
    ) ? R : Promise.reject(R));
  }
  function Ce(a, g, m) {
    d.list().forEach((E) => de(() => E(a, g, m)));
  }
  function Ue(a, g, m, E, w) {
    const P = A(a, g);
    if (P)
      return P;
    const b = g === B, R = M ? history.state : {};
    m && (E || b ? s.replace(a.fullPath, $({
      scroll: b && R && R.scroll
    }, w)) : s.push(a.fullPath, w)), l.value = a, xe(a, g, m, b), me();
  }
  let Z;
  function Ot() {
    Z || (Z = s.listen((a, g, m) => {
      const E = _(a), w = x(E);
      if (w) {
        X($(w, { replace: !0 }), E).catch(ne);
        return;
      }
      h = E;
      const P = l.value;
      M && vn(je(P.fullPath, m.delta), ue()), ke(E, P).catch((b) => V(
        b,
        12
        /* ErrorTypes.NAVIGATION_CANCELLED */
      ) ? b : V(
        b,
        2
        /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
      ) ? (X(
        b.to,
        E
        // avoid an uncaught rejection, let push call triggerError
      ).then((R) => {
        V(
          R,
          20
          /* ErrorTypes.NAVIGATION_DUPLICATED */
        ) && !m.delta && m.type === oe.pop && s.go(-1, !1);
      }).catch(ne), Promise.reject()) : (m.delta && s.go(-m.delta, !1), pe(b, E, P))).then((b) => {
        b = b || Ue(
          // after navigation, all matched components are resolved
          E,
          P,
          !1
        ), b && (m.delta && // a new navigation has been triggered, so we do not want to revert, that will change the current history
        // entry while a different route is displayed
        !V(
          b,
          8
          /* ErrorTypes.NAVIGATION_CANCELLED */
        ) ? s.go(-m.delta, !1) : m.type === oe.pop && V(
          b,
          20
          /* ErrorTypes.NAVIGATION_DUPLICATED */
        ) && s.go(-1, !1)), Ce(E, P, b);
      }).catch(ne);
    }));
  }
  let he = ee(), Le = ee(), se;
  function pe(a, g, m) {
    me(a);
    const E = Le.list();
    return E.length ? E.forEach((w) => w(a, g, m)) : (process.env.NODE_ENV !== "production" && S("uncaught error during route navigation:"), console.error(a)), Promise.reject(a);
  }
  function Tt() {
    return se && l.value !== B ? Promise.resolve() : new Promise((a, g) => {
      he.add([a, g]);
    });
  }
  function me(a) {
    return se || (se = !a, Ot(), he.list().forEach(([g, m]) => a ? m(a) : g()), he.reset()), a;
  }
  function xe(a, g, m, E) {
    const { scrollBehavior: w } = e;
    if (!M || !w)
      return Promise.resolve();
    const P = !m && _n(je(a.fullPath, 0)) || (E || !m) && history.state && history.state.scroll || null;
    return It().then(() => w(a, g, P)).then((b) => b && En(b)).catch((b) => pe(b, a, g));
  }
  const ge = (a) => s.go(a);
  let Ee;
  const ae = /* @__PURE__ */ new Set(), Nt = {
    currentRoute: l,
    listening: !0,
    addRoute: p,
    removeRoute: v,
    hasRoute: O,
    getRoutes: T,
    resolve: _,
    options: e,
    push: k,
    replace: G,
    go: ge,
    back: () => ge(-1),
    forward: () => ge(1),
    beforeEach: f.add,
    beforeResolve: u.add,
    afterEach: d.add,
    onError: Le.add,
    isReady: Tt,
    install(a) {
      const g = this;
      a.component("RouterLink", Qn), a.component("RouterView", Zn), a.config.globalProperties.$router = g, Object.defineProperty(a.config.globalProperties, "$route", {
        enumerable: !0,
        get: () => Q(l)
      }), M && // used for the initial navigation client side to avoid pushing
      // multiple times when the router is used in multiple apps
      !Ee && l.value === B && (Ee = !0, k(s.location).catch((w) => {
        process.env.NODE_ENV !== "production" && S("Unexpected error when starting the router:", w);
      }));
      const m = {};
      for (const w in B)
        Object.defineProperty(m, w, {
          get: () => l.value[w],
          enumerable: !0
        });
      a.provide(fe, g), a.provide(Ie, Dt(m)), a.provide(Ae, l);
      const E = a.unmount;
      ae.add(a), a.unmount = function() {
        ae.delete(a), ae.size < 1 && (h = B, Z && Z(), Z = null, l.value = B, Ee = !1, se = !1), E();
      }, process.env.NODE_ENV !== "production" && M && nr(a, g, t);
    }
  };
  function W(a) {
    return a.reduce((g, m) => g.then(() => de(m)), Promise.resolve());
  }
  return Nt;
}
function hr(e, t) {
  const n = [], r = [], s = [], f = Math.max(t.matched.length, e.matched.length);
  for (let u = 0; u < f; u++) {
    const d = t.matched[u];
    d && (e.matched.find((h) => j(h, d)) ? r.push(d) : n.push(d));
    const l = e.matched[u];
    l && (t.matched.find((h) => j(h, l)) || s.push(l));
  }
  return [n, r, s];
}
function Ir() {
  return q(fe);
}
function kr() {
  return q(Ie);
}
const wt = dr({
  history: bn("/mis2/"),
  // history: createWebHashHistory("/mis2/"),
  routes: [
    {
      path: "/login",
      name: "Login",
      component: () => import("./index-ba1f8cc5.mjs").then((e) => e._)
    },
    // {
    //   path: '/home',
    //   name: 'Home',
    //   component: () => import('@/views/Home/index.vue')
    // },
    {
      path: "/:catchAll(.*)",
      name: "Home",
      component: () => import("./index-619431ae.mjs").then((e) => e._),
      // redirect: '/user/manage',
      children: [
        // {
        //   path: '/user/manage',
        //   name: 'UserManage',
        //   component: () => import('@/views/UserManage/index.vue')
        // }
      ]
    }
    // {
    //   path: '/:catchAll(.*)',
    //   name: 'NotFound',
    //   component: () => import('@/views/NotFound/index.vue')
    // }
  ]
});
wt.beforeEach((e, t, n) => {
  const r = ["NotFound", "Login"], s = localStorage.getItem("access_token");
  r.includes(e.name) || s ? n() : n("/login");
});
const pr = () => {
  localStorage.clear(), wt.push("/login");
};
var nt;
const F = At.create({
  baseURL: (nt = window.import_meta) == null ? void 0 : nt.VITE_APP_AXIOS_BASE_URL,
  timeout: 5e4
  // headers: { 'Content-Type': 'application/json;charset=utf-8' }
});
F.interceptors.request.use(
  (e) => {
    const { url: t } = e, n = t.split("?")[0];
    return [_e.LOGIN].includes(n) ? e.headers.Authorization = `Basic ${Vt}` : [
      _e.REGISTER,
      _e.RESET,
      ye.IMAGE_CODE,
      ye.SMS_REGISTER,
      ye.SMS_RESET
    ].includes(n) || (e.headers.Authorization = `Bearer ${localStorage.getItem("access_token")}`), e;
  },
  (e) => Promise.reject(e)
);
F.interceptors.response.use(
  (e) => {
    if (e.request.responseType === "blob")
      return e.data;
    const t = e.data, { code: n, msg: r, data: s } = t;
    return n === 2e3 ? Promise.resolve(s) : n === 4001 ? (ce.error(r || "系统出错"), Promise.reject(new Error(r || "Error"))) : Promise.reject(e.data);
  },
  (e) => {
    let t = "";
    const n = e.response.status;
    switch (n) {
      case 400:
        t = "请求错误(400)";
        break;
      case 401:
        t = "登录过期，请重新登录！", pr();
        break;
      case 403:
        t = "权限不足";
        break;
      case 404:
        t = "请求出错(404)";
        break;
      case 408:
        t = "请求超时(408)";
        break;
      case 500:
        t = "服务器错误(500)";
        break;
      case 501:
        t = "服务未实现(501)";
        break;
      case 502:
        t = "网络错误(502)";
        break;
      case 503:
        t = "服务不可用(503)";
        break;
      case 504:
        t = "网络超时(504)";
        break;
      case 505:
        t = "HTTP版本不受支持(505)";
        break;
      default:
        t = `连接出错(${e.response.status})!`;
    }
    return ce.error(t), console.log("message :>> ", t), Promise.reject({ msg: t, states: n });
  }
);
const mr = (e, t) => F.get(e, { params: t }), gr = async (e, t) => await F.post(e, t), Er = async (e, t) => await F.delete(e, t), vr = async (e, t) => await F.put(e, t), _r = async (e, t) => await F.post(e, t, { responseType: "blob" }), yr = async (e, t) => await F.get(e, { params: t, responseType: "blob" }), D = {
  // async get<T extends AxiosRequestConfig<any>, M>(url: string, params?: T): AxiosPromise<M> {
  //   return await service.get(url, { params })
  // },
  // async post<M, T = any>(url: string, data?: T): AxiosPromise<M> {
  //   return await service.post(url, data)
  // },
  // async put<T, M>(url: string, data: T): AxiosPromise<M> {
  //   return await service.put(url, data)
  // },
  // async postDownload(url, data) {
  //   return await service.post(url, data, { responseType: 'blob' })
  // },
  // async getDownload(url, params) {
  //   return await service.get(url, { params, responseType: 'blob' })
  // },
  get: mr,
  post: gr,
  delete: Er,
  put: vr,
  postDownload: _r,
  getDownload: yr
}, Cr = {
  /**
   * 表单数据查询接口
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async searchFormData(e, t) {
    return await D.post(C.SEARCH(e), t);
  },
  /**
   * 表单数据添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async addFormData(e, t) {
    return await D.post(C.ADD(e), t);
  },
  /**
   * 表单数据批量添加接口
   * @param {*} formName 表名
   * @param {*} formData 表单数据
   * @returns
   */
  async batchAddFormData(e, t) {
    return await D.post(C.BATCH(e), t);
  },
  /**
   * 关联表单数据查询
   * @param {*} formName 表名
   * @param {*} param 查询参数
   * @returns
   */
  async joinSearchFormData(e, t) {
    return await D.post(C.JOIN_SEARCH(e), t);
  },
  /**
   * 表单数据查询单条
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @param {*} resolveObj 是否翻译字典和显示子表
   * @returns
   */
  async searchFormDataById(e, t, n) {
    const r = (n == null ? void 0 : n.resolveDic) || !1, s = (n == null ? void 0 : n.resolveSubItems) || !1;
    return await D.get(C.SEARCH_BY_ID(e, t, r, s));
  },
  /**
   * 表单数据删除
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async deleteFormDataById(e, t) {
    return await D.delete(C.DELETE_BY_ID(e, t));
  },
  /**
   * 表单数据批量删除
   * @param {*} formName 表名
   * @param {*} ids 数据id数组
   * @returns
   */
  async bathDeleteFormData(e, t) {
    return await D.delete(C.BATCH(e), {
      data: { dataIds: t }
    });
  },
  /**
   * 表单数据更新接口
   * @param {*} formName 表名
   * @param {*} id 单条数据id
   * @returns
   */
  async updateFormData(e, t) {
    return await D.put(C.UPDATE(e), t);
  },
  /**
   * 导入表单数据
   * @param {*} formName 表名
   * @param {*} file 导入文件
   * @returns
   */
  async importFormData(e, t) {
    const n = new FormData();
    return n.append("file", t), await D.post(C.IMPORT(e), n);
  },
  /**
   * 表单数据更新状态接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @param {*} formData 参数
   * @returns
   */
  async updateState(e, t, n) {
    return await D.put(C.UPDATE_STATE(e, t), n);
  },
  /**
   * 表单数据批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async batchUpdateState(e, t) {
    return await D.post(C.BATCH_STATE(e), t);
  },
  /**
   * 表单数据根据过滤条件批量修改状态
   * @param {*} formName 表名
   * @returns
   */
  async filterBatchUpdateState(e, t) {
    return await D.post(C.BATCH_STATE_FILTER(e), t);
  },
  /**
   * 表单数据操作日志接口
   * @param {*} formName 表名
   * @param {*} dataId 单条数据id
   * @returns
   */
  async searchOperationLogs(e, t, n) {
    return await D.get(C.SEARCH_STATE(e, t, n));
  },
  /**
   * 表单数据统计
   * @param {*} formName 表名
   * @param {*} data
   * {
    "aggregates": [["农场类型", "count"]],
    "groupFields":["pcode"],
    "filter":["=", "农场类型", "种植"]
    }
   * @returns
   */
  async formDataCount(e, t) {
    return await D.post(C.COUNT(e), t);
  },
  /**
   * 表单数据下载
   * @param {string} name 文件名
   * @param {string} formName 表名称
   * @param {object} data 过滤条件
   */
  async dataDownload(e, t, n = {}) {
    return ce.info(`开始下载：${e}`), D.postDownload(`form/${t}/download`, n).then((r) => {
      Ve(r, e);
    });
  },
  /**
   * 导入数据（附带额外信息）
   * @param {string} formName 表名称
   * @param {file} file 上传Excel表格   表头为label   重复label使用spareLabel
   * @param {object} data 自带数据    key值为name
   * @param {array} fieldAssemble  数组 需要拼接参数  多个sourcefields 以delimiter为连接符组装，然后赋值给targetField
   *  示例 {"sourceFields":["field1","field2"],"delimiter":"-","targetField":"field3"}
   */
  async formexImport(e, t, n, r) {
    const s = new FormData();
    return s.append("file", t), n && s.append("data", JSON.stringify(n)), r && s.append("fieldAssemble", JSON.stringify(r)), D.post(`/formex/${e}/import`, s);
  },
  /**
   * 表单word下载
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   * @param {string} name  下载word名称
   */
  async downloadWord(e, t, n) {
    return n || (n = `${e}.docx`), ce.info(`开始下载：${n}`), D.getDownload(`/extend/word/${e}/download`, t).then((r) => {
      Ve(r, n);
    });
  },
  /**
   * 表单pdf查看
   * @param {string} formName 表名称
   * @param {object} data 表单数据 {"dataId": "数据id", "subForms": [{ "formName": "物料使用情况表"}]}
   */
  viewPdfUrl(e, t) {
    const { dataId: n, subForms: r } = t;
    let s = `dataId=${n}`;
    return r && (s += `&subForms=${encodeURIComponent(JSON.stringify(r))}`), `${window.import_meta.VITE_APP_AXIOS_BASE_URL}/extend/pdf/${e}/download?${s}`;
  }
};
export {
  Dr as D,
  $r as F,
  _e as L,
  Tr as M,
  Or as R,
  ye as S,
  Nr as U,
  Pr as a,
  Ar as b,
  kr as c,
  Cr as f,
  pr as l,
  F as s,
  Ir as u,
  D as x
};
